PixVue

Welcome to PixVue

PixVue is an image management application for Windows. PixVue provides a series of extensions to the Windows Explorer, enhancing its functionality as it relates to digital images.

Find out more about PixVue:

  • Getting Started.

  • What's new?


Getting Started

Features

Much of PixVue's functionality revolves around image metadata. Therefore, to get started, you will want to describe your images.

Once image metadata has been added, you can view it in a variety of ways, right in Windows Explorer.

As you accumulate a large number of images, the ability to search for particular images becomes important. PixVue helps with search in a number of ways:

  • You can use the Windows indexing service that is built into Windows 2000 and Windows XP.

  • Desktop search applications will quickly find images annotated with PixVue. Such applications include offerings from Microsoft, Google and Yahoo among others.

  • PixVue also provides an alternate means of organizing and searching for images. Using PixVue's Galleries, it is possible to perform detailed searches for images stored not only on local hard drives, but also on removable media such as CDROM and DVD.

[Note] Note

It should be noted that there is no standalone PixVue.exe application. For this reason, there is no application to be found in the Windows 'Start' menu. Instead PixVue extends the Windows Explorer, enhancing its functionality in relation to digital images.

What's New

In this latest minor update of PixVue, the following issues have been addressed:

  • Help has been bundled with the application.

  • A few minor bugs have been fixed.


Describe

PixVue makes image annotation easy! The editor is always just a right-click away and will update both XMP and IPTC metadata simultaneously. Annotating multiple images is as simple as copy-n-paste. PixVue supports editing of XMP/ IPTC metadata in numerous file formats, including TIFF and JPEG. Where possible, the XMP/ IPTC metadata is embedded in the image. Otherwise an XMP sidecar is used. In the case of all camera raw files for example, sidecars are always used.

Context Menu

Edit a file's XMP/ IPTC metadata. While this command can be applied to multiple images, each image must be individually edited.

Append XMP/ IPTC fields to one or more images. For all XMP/ IPTC fields except keywords, this means replacing those fields in an image that already exist and adding those that don't. Keywords are always added.

Remove XMP/ IPTC fields that match the specified criteria.

Edit XMP/ IPTC metadata from the clipboard. While this command can be applied to multiple images, each image must be individually edited. Populate PixVue's clipboard using either the Cut or Copy menu items.

Edit XMP/ IPTC metadata from a user-defined template. This command can be applied to multiple images. By default, the template is automatically applied to each image. In order to edit each image individually, hold down the Shift key when selecting this menu.

Add a keyword to selected images. The list of available keywords is the 20 most recently used keywords. This list is automatically maintained.

Remove a keyword from selected images. The list of available keywords is the 20 most recently used keywords. This list is automatically maintained.

Delete all XMP & IPTC metadata from selected images.

Remove all IPTC metadata from the image and put it in the PixVue clipboard. Only those XMP fields that may be edited with PixVue are removed. All other XMP fields are left intact. This command can be applied to a single image.

Copy XMP/ IPTC metadata from the image to the PixVue clipboard. The selected image is not altered. This command can be applied to a single image.

Replace all existing XMP/ IPTC metadata in one or more images with XMP/ IPTC metadata from the PixVue clipboard.

Create a template based on the XMP/ IPTC metadata in the selected image. The named template will then be available from the Apply Template menu. Templates created with PixVue will be available in Adobe Photoshop and vice versa.

Delete an XMP/ IPTC template. This operation does not alter the selected image.

PixVue supports most of the same XMP/ IPTC fields that Photoshop supports. It ignores non-standard fields. PixVue will not attempt to display them. When editing an image containing non-standard fields, PixVue will not save them. Use the Annotate page of the PixVue control panel to configure the annotation editor.


Galleries

General Use

PixVue can store information about the supported image formats in "Galleries". Galleries are analogous to folders on disk in that they provide a means of grouping images and may be arranged in a hierarchical fashion.

PixVue will store a thumbnail for each image in the Gallery. It will also store XMP/ IPTC metadata if it's available. This allows for searching and retrieval of images.

PixVue allows an image file on disk to be referenced from multiple Galleries. Only a single instance of an image file may be referenced from a given Gallery.

Gallery entries are made by dragging images (on a hard drive or CD-ROM) and dropping them on the My Galleries icon. This does not move the image file itself; it simply instructs PixVue to store the image location and if possible to read the images' XMP/ IPTC metadata.

Folders on disk, containing images and sub-folders, may be dropped on the My Galleries icon to recursively create galleries and sub-galleries of images.

Use the 'Shell' page of the PixVue Control Panel to locate the My Galleries icon either on the desktop or under My Computer.

Right-clicking on an image or gallery will provide menu access to functions that are explained elsewhere in this documentation. Holding down the Control key when right-clicking gallery images or linked galleries will display the System Menu. This is just like right-clicking on the actual images or folders. Note that all the selected images must be in the same folder. There are also various operations that may be performed from the various Windows Explorer menus and the toolbar.

Images may be transferred between Galleries using drag-and-drop or cut-and-paste.

In Explorer's "Details" view, columns may be added or removed in the normal fashion: Right-click on Explorer's column header and select or deselect the column in question:

Finding Images

Images stored in Galleries may be searched for by clicking on the Find Images toolbar button (shown opposite). All search criteria are case-insensitive except those that must match regular expressions (matches regex).

For optimal performance when searching sub-galleries, at least one search criterion should be an exact match (is).

Search results may be saved in a new or existing Gallery using the File::Save menu item. Unlike viewing a normal Gallery, deleting an image while viewing search results merely removes the images from the view. It does not actually delete the image from it's containing Gallery.

PixVue Toolbar

The PixVue toolbar provides an easily accessible, convenient means of searching images in the current gallery.

The syntax for toolbar queries is similar to that used by internet search engines:

  • The 'and' operator can be used to find images that contain 'A' and 'B'. This is the default if no operator is specified. e.g. ute delicate (which is equivalent to ute and delicate)

  • The 'or' operator can be used to find images that contain 'A' or 'B'. e.g. ute or delicate

  • To exclude images that contain a particular piece of text, place a hyphen immediately in front of the text. e.g. ute -delicate

  • To search for a complete phrase, surround the phrase in double-quotes. e.g. "ute rock art"

  • All queries are case-insensitive.

The PixVue toolbar can only be used to search within "My Galleries" but not the Windows file system. Note also that when initially displayed, Explorer's View::Toolbars::Lock the Toolbars menu item must be deselected so as to allow the toolbar to be resized.

Offline Image Archives

PixVue will keep track of your images stored on CD-ROM. Storing your archived images in PixVue's Galleries is a simple drag-n-drop operation. When drag-n-dropping images from a CD-ROM, PixVue will request that you to enter a label. For subsequent operations on this file (such as slideshow, preview etc.) PixVue will prompt for a CD-ROM with this label if it isn't already present.

For each archived image dropped in PixVue's Galleries, PixVue will generate a preview image. This preview image will be presented for slideshow or preview operations if the original image is unavailable. Use the "Galleries" tab of the PixVue control panel to control the size and quality of this image. Adjusting these values ultimately determines the file size of the preview image. This should be kept as small as possible so as to facilitate backups. The preview image is always a JPEG and the quality setting determines the degree to which the image is compressed. An image quality setting of 75 or lower and image resolution of 800x600 or smaller is recommended.

PixVue uses two icon overlays to indicate the state of images stored in a Gallery:

The image is archived.
The image has not been archived and unavailable.

Export/ Import

The Export/ Import facility allows PixVue Galleries to be backed-up and restored. To export a Gallery and all of it's sub-Galleries, right-click in or on the Gallery and select the Export menu item. When prompted, select an empty folder. It's into this folder that PixVue will place a variety of files. One of those files, PixVueGallery.XML, can be opened in Internet Explorer or Mozilla/ Netscape to allow browsing of exported Galleries. The ability to browse Galleries with a browser is provided as a convenience only.

Import from this same folder (or any sub-folder) by selecting it when prompted in response to the Import menu item. Do not attempt to import galleries and images into a Gallery where they already exist. This is an error.

Synchronization

On Windows NT, 2000 and XP, Galleries may be linked to their underlying folders. When a Gallery is linked to a folder, the PixVue daemon keeps the Gallery up to date with changes made to images in the linked folder. Images added or deleted from the folder will be added or deleted in the Gallery. Image updates are also reflected in the Gallery. Use the Link and Unlink menu items to instruct the daemon to watch or ignore changes in a given folder.

Shortcuts

Function | Menu | Accelerator | Description
Adjust columns |  | Ctrl-+ | Automatically adjust the widths of all visible columns in details view. Must use the + key on the numeric keypad.
Open |  | Enter | Open a gallery or image. In the case of an image, this means opening the image in the default image editor.
Properties |  | Alt-Enter | Show image properties.
Save | File | Ctrl-S | Search results may be saved in a new or existing folder using this function.
Delete | File | Del | Delete an image or gallery from the current gallery.
Rename | File | F2 | Rename a gallery.
Cut | Edit | Ctrl-X | Remove images from the current gallery and place them in PixVue's clipboard.
Copy | Edit | Ctrl-C | Copy images from the current gallery into PixVue's clipboard.
Paste | Edit | Ctrl-V | Copy images from PixVue's clipboard into the current gallery.
Find |  | Ctrl-F | Find images.
Full Screen |  | F11 | View galleries in full screen mode.
Address Bar |  | F4 / F6 | Select Address Bar
Close Window |  | Ctrl-W | Close the current Explorer window.
Forward |  | Alt---> | Navigate forward.
Back |  | Alt-<-- | Navigate back.
Back |  | Bksp | Navigate back.
Refresh | View | F5 | Refresh the gallery view.
Compact Galleries | Tools |  | Compact all of PixVue's galleries. This may be used to reclaim disk space used by PixVue.
PixVue Options | Tools |  | Configure PixVue. These are the same options that are available in PixVue's Control Panel.


Windows Search

PixVue enables Windows Explorer to perform searches for images based upon XMP/ IPTC properties. This feature is available on Windows NT 4.0, Windows 2000 and Microsoft Windows XP (Professional or Home). Any image format from which PixVue can read metadata, can be indexed. This includes all camera raw formats. In Explorer's Search dialog, supply "A word or phrase in the file" to specify metadata values previously added using PixVue's metadata editor (or any other XMP/ IPTC editor).

Search Terms

Search criteria can include XMP/ IPTC property names to form advanced queries. Please see the table at the end of this page for a list of valid "friendly" names. When searching on specific properties, the property name should begin with an 'at' character (@) or a 'hash' character (#) when used with a regular expression. Search terms can be combined using 'and' and 'or' operators. The following table list some example queries that are enabled by PixVue:

Search Term | Results
arches national park | Any property contains 'arches national park'.
@All arches national park | Same as above.
@Keywords park | Keyword contains 'park'.
@Keywords=park | Keyword is 'park'.
@DocKeywords=park | Same as above.
@Title arches and #Copyright *2003 | Title contains 'arches' and copyright ends with '2003'.
@Author coleman or size < 1000000 | Author contains 'coleman' or the file size is less than 1M in size.
@write > -1d12h and #filename *.jpg and @CopyrightStatus false | JPEGs modified in the past 36 hours that are not copyrighted.

Configuring Search

For optimal search performance, the Windows Indexing Service needs to be configured.

Start the Indexing Service

  • Right-click "My Computer" and select "Manage".

  • In the Computer Management console, click the Indexing Service node.

  • Click "Start Indexing" on the toolbar if the service is not already running.

Give the indexing engine some time to index your file system. When done, you will want to configure the Property Cache.

[Note] Note

Getting this sequence correct is important. You must first allow the indexing service to create an index for your catalog. Only when this has been done can you proceed to configure the property cache. Otherwise, the PixVue Property Set (68FC63EB-18D6-4E64-A12504EBCEFFFAB8) will not be available.

Configure the Property Cache

  • Right-click "My Computer" and select "Manage".

  • In the Computer Management console, click the Indexing Service node.

  • Select the "Properties" node of the appropriate catalog.

  • Find the PixVue Property Set (68FC63EB-18D6-4E64-A12504EBCEFFFAB8).

  • In the details pane, click the property name of the property you want to add to the cache.

  • On the Action menu, click Properties.

  • In the Properties dialog box, select the Cached check box.

  • Accept all other default values and hit "OK".

  • Repeat for all other properties to that you wish to cache.

Whenever the Property Cache is changed, the catalog must be completely rebuilt.

Indexing may take a long time but once complete, searching for images is very fast.

Indexed Properties

PixVue provides an IFilter implementation that will work with any Microsoft product that supports IFilter. Index information is based upon either IPTC, XMP or both. XMP has precedence. In addition to exposing XMP/ IPTC properties directly, PixVue also maps some IPTC/ XMP properties to "Document Summary Information" properties. This is detailed in following tables.

Document Summary Information (F29F85E0-4FF9-1068-AB9108002B27B3D9)

The following XMP/ IPTC properties are mapped to equivalent Microsoft properties.

Short Name | Property ID | XMP/ IPTC Property
DocTitle | 0x2 | title
DocSubject | 0x3 | description
DocAuthor | 0x4 | creator
DocKeywords | 0x5 | subject
PixVue Property Set (68FC63EB-18D6-4E64-A12504EBCEFFFAB8)

The following table details those XMP/ IPTC properties exposed by PixVue.

XMP | IPTC | Property Name | Friendly Name
Title | Object Name | title | Title
Description | Caption | description | Description
Description Writer | Caption Writer | captionwriter | DescriptionWriter
Author | By Line | creator | Author
AuthorsPosition | By Line Title | AuthorsPosition | AuthorsPosition
Copyright | Copyright Notice | rights | Copyright
Copyright URL |  | WebStatement | CopyrightURL
Copyright Status |  | Marked | CopyrightStatus
Keywords | Keywords | subject | Keywords
Category | Category | Category | Category
Supplemental Categories | Supplemental Category | SupplementalCategories | SubCategories
City | City | City | City
State | State | State | State
Country | Country | Country | Country
Instructions | Special Instructions | Instructions | Instructions
Transmission Reference | Transmission Reference | TransmissionReference | Transmission
Headline | Headline | Headline | Headline
Credit | Credit | Credit | Credit
Source | Source | Source | Source
Urgency | Urgency | Urgency | Urgency


Desktop Search

MSN Desktop Search

PixVue is fully compatible with Microsoft's desktop search application; MSN Desktop Search. PixVue enables MSN Desktop Search to perform searches for images based upon XMP/ IPTC properties. This feature is available on Windows 2000 and Microsoft Windows XP or later.

Google Desktop Search

Image metadata (both XMP & IPTC) written with PixVue will be indexed by Google's desktop application.


Watermark

Use the Watermark menu item to add a watermark to selected images. The 'Copyright' metadata field is used for this purpose. The watermarked images are written to the selected folder. Images will not be overwritten.

Watermark Dialog

Use the Watermark dialog to configure how the watermark is written.

Text

Choose the font and location on the target image that for the watermark.

Emboss

Select Emboss for a 3D effect.

Modulate

Vary the values for Brightness, Hue and Saturation to determine how the text is written. Higher values will result in lighter text.


Rename

For images that contain XMP, IPTC or EXIF metadata (typically JPEG and TIFF), PixVue offers a file renaming feature. It's as simple as selecting the image files in Explorer and then choosing the Rename menu item. PixVue will apply a template to rename the selected images. Follow these steps to change the template:

  • Select the images to rename.

  • Hold down the Shift key.

  • Select the Rename menu item.

This will cause PixVue to present the 'Rename File' dialog:

Variables

This dialog is used to edit the file rename template. Templates are constructed from a combination of free form text and variables. A variable is used to insert metadata fields from the image. The following variables are recognized:

Variable | Metadata field
$title | Title
$author | Author
$position | Author's Position
$description | Description
$writer | Description Writer
$copyright | Copyright
$url | Copyright URL
$status | Copyright Status
$category | Category
$city | City
$state | State
$country | Country
$credit | Credit
$source | Source
$headline | Headline
$instructions | Instructions
$transmission | Transmission Reference
$urgency | Urgency
$date | Date (yyyy-MM-dd)
$time | Time (hhmm)
$yy | Two digit year
$yyyy | Four digit year
$M | Month
$MM | Two digit, zero padded month
$d | Day of month
$dd | Two digit, zero padded day of month
$H | Hours
$HH | Two digit, zero padded hours
$m | Minutes
$mm | Two digit, zero padded minutes
$s | Seconds
$ss | Two digit, zero padded seconds
$q | Sequence number (0 - 9)
$qq | Sequence number (0 - 99)
$qqq | Sequence number (0 - 999)
$qqqq | Sequence number (0 - 9999)

To illustrate the point, here's how our image is renamed using the template shown above.


View Metadata

PixVue makes it easy to view the text contained in your images. This is done using four different mechanisms:

  • Properties.

  • Columns.

  • Icons.

  • InfoTips.

Properties

PixVue displays XMP, IPTC and EXIF detail in the Windows file properties dialog. This data is available for JPEG and TIFF images only. If the "Annotation" or "Image" page doesn't appear, it's because the particular image being viewed, doesn't contain the relevant data.

Columns

PixVue provides the ability to expose XMP/ IPTC and EXIF fields in Explorer's "Details" view. To select a field, right-click on the column header to show the context menu. Selecting "More..." from this menu will present a dialog allowing the selection and placement of all EXIF and IPTC fields. From the 'Choose Details' Dialog, select the IPTC and/ or EXIF headers that you want to display.

Icons

PixVue makes it easy to tell at a glance what kind of information an image contains. PixVue will superimpose an emblem on a JPEG or TIFF file icon. As shown below, one or two of four emblems will be used, indicating whether or not XMP, IPTC and/ or EXIF metadata is contained in the image.

EXIF Only | No Metadata
EXIF & XMP | XMP
EXIF & IPTC | IPTC
EXIF, XMP & IPTC | XMP & IPTC

InfoTips

InfoTips provide a convenient way to view a summary of image metadata. Windows displays an "InfoTip" when the cursor hovers over an icon for a short time.

PixVue provides a custom InfoTip that displays certain EXIF and XMP/ IPTC values for annotated images. In addition to an XMP/ IPTC summary, the following EXIF fields are optionally displayed if present:

  • Exposure Time

  • F Number

  • ISO Speed Rating

  • Shutter Speed

  • Exposure Compensation

  • Flash On/Off

  • Focal Length


View Images

PixVue provides some basic functionality for viewing images. Images may be viewed in a 'Preview' window or as a slide show.

Use the Display page, the Preview page, the Captions and the SlideShow page of the PixVue control panel to configure the Preview and Slide Show windows. See the list of supported file formats.

Camera RAW

In addition to treating camera RAW files just like any other image type, PixVue provides additional support for RAW files in that it allows Windows to generate thumbnails for these files. Use the 'Thumbnails' option in the Shell page of the PixVue control panel to turn this feature on or off.


Share

PixVue provides the following facilities for sharing images:

  • PDF

  • HTML

  • CD-ROM

In all cases, simply select the images that you want to include and choose the appropriate menu item under PixVue::Create.

PDF

PixVue uses JPEG compression when embedding images in PDF files. Use the 'Quality' setting to determine the extent to which these images are compressed. Another means of reducing the resulting PDF file size is to reduce the dimensions of the embedded images. This will cause the input images to be scaled to the specified dimensions. Because PixVue always uses JPEG compression, it will be possible to select 'Use Original' when all the input files are themselves JPEGs.

HTML

Use the Create Web Gallery dialog to set the various parameters required for creating web galleries. Choose from any of the available templates to give your web presentation the look and feel that you want. If a template is not available to meet your needs, PixVue provides a great deal of flexibility to add new templates.

The value supplied for 'Title' will be used as the title for each web page and the on the gallery index page.

PixVue will generate a preview JPEG image for each selected image. Preview images are typically smaller in size than the original. The 'JPEG Quality' determines the degree to which the image previews are compressed. The Thumbnail & Preview Image Size parameters specific the dimensions of a bounding box for the thumbnail and preview images respectively. The images are scaled down, maintaining proportions, to fit in a square of the specified dimension.

The 'Index Page Columns' specifies the number of columns of thumbnails to use on the index page. The number of rows obviously adjusts accordingly.

RSS

When generating a web gallery, PixVue can optionally generate an RSS feed. In the "Photo Log" dialog, supply a "Title", "Link" and "Description". "Feed" specifies the output file name. All other fields are optional. The feed can either include a single entry for the entire gallery ("Summarize") or an entry for each image ("Itemize"). The "Link" should be the URL to which the gallery will be published: If the gallery will be available as "http://www.xyz.com/folder/index.html", the "Link" should be "http://www.xyz.com/folder".

CD-ROM

The PixVue::Create::PixVue Slideshow menu item will create a slide show that will automatically run from a CD-ROM without the need to install an additional software.


Settings

A variety of settings control how PixVue operates. These settings may be changed via the PixVue Control Panel.

Annotate

Edit/ Apply Template

PixVue supports most of the standard IPTC fields. In addition to standard but unsupported fields, some IPTC editors will add custom, non-standard fields to an image. Selecting Preserve Additional Information instructs PixVue to preserve these additional fields when updating an image's IPTC metadata. Otherwise they will be removed.

Paste

When pasting metadata into an image from Pixvue's Annotate menu, use the target image's EXIF (i.e. camera-supplied) time and date information instead of that from the source image.

Backup

Enabling the Backup option will cause PixVue to make a backup copy of an image before it updates the image. The backed-up image will have it's original name with Pixvue.XX prepended to the name, where XX is a sequence number in the range of 00 to 99.

Auto Complete

The Clear History button can be used to clear the auto-complete history of the XMP/ IPTC editor.

Captions

Use this page to enable and configure Captions for PixVue's Slide Show window. It is possible to display the IPTC Caption field and a time/ date for each image in the slide show. Select one of the checkboxes to enable and position the caption and/ or timestamp. Deselecting all checkboxes will prevent the caption and/ or timestamp from appearing. Both items can be configured with their own font.

Display

Gamma Correction

Configure the Gamma correction for your PC and monitor.

Background Color

Use the Background Color button to set the background color for the Preview and Slide Show windows.

Galleries

Use this page to set the quality and dimensions of a preview image.

General

Picture Folder

The Picture Folder is used in the Preview window. It is into this folder that images will be copied or moved when those functions are invoked from the Preview window.

General

PixVue will 'beep' when it encounters an error. Use the Audible Feedback setting to enable or disable these beeps.

Thumbnail Cache

The Thumbnail Cache is used to speed up the display of Gallery thumbnails. The value specified for the Size of the cache simply specifies the maximum number of thumbnails that will be held in the cache. The optimum cache size will depend upon the particular computer that PixVue is running on.

Preview

Auto-hide

Enabling Auto-hide will cause the cursor and toolbar to automatically disappear after Delay seconds in the Preview window.

Overlay Camera Data

Select Show to automatically Overlay Camera Data (i.e. EXIF), if it's available, while viewing an image in the Preview window. Use Ctrl-O while in the Preview window to toggle the display.

Shell

Enable Shell Features

Virtually every aspect of PixVue's functionality can be enabled or disabled. It is from this page of the control panel that such changes are made. Changing some of these settings may require Windows to be restarted. If in doubt, restart!

My Galleries Location

PixVue will place the "My Galleries" icon in one of two places, either on the desktop or under "My Computer".

Slide Show

Auto-hide

Enabling auto-hide will cause the cursor and toolbar to automatically disappear after Delay seconds in the Slide Show window.

Sequence

The order in which images are show in a Slide Show is determined by the Sequence setting

Captions

The display of Captions may be enabled or disabled.

Delay

Specifies the delay between each slide.


Miscellaneous

Exporting XMP

To export XMP from images, follow these steps:

  • Select the images in Explorer.

  • Hold down the Shift key.

  • Right-click on the selected images.

  • From the PixVue menu, select Export XMP.

The Export XMP menu item will only appear when the Shift key is held down as you right-click on the selected images. Selecting this item will cause an XMP file to be created with the same name as the image from which it was exported.

Transforming XMP

In the process of exporting XMP from images, it is also possible to transform that XMP into a format of your choice. This might be XML, HTML, CSV or just plain text. This is accomplished by means of an XSL transformation. To instruct PixVue to perform this transformation, follow the instructions in the section above, 'Exporting XMP'. However in addition to holding the Shift key down, also hold the Control key down. This will cause PixVue to present the 'Transform' dialog box. From here, specify XSL file and the output file type. It is such a transformation that PixVue uses to generate web galleries.


HTML Templates

PixVue is supplied with a number of prepackaged templates for creating HTML web galleries. These templates are primarily comprised of XSLT files and any additional media files (GIFs etc.) that are required by the resulting HTML. Over time, new templates will be added and you can help by creating whole new templates or translating existing templates into new languages. The following discussion briefly describes how PixVue creates web galleries.

Folders

For the default language, web gallery templates are located in the folder:

<program files>\PixVue.Com\PixVue\lib\webTemplates\LOC\

Translations into other languages will use a language specific folder. Instead of 'LOC', a three letter abbreviation for the language will be used. Microsoft provides a full list of abbreviations. For example, templates translated into German will appear in the folder:

<program files>\PixVue.Com\PixVue\lib\webTemplates\DEU\

PixVue will first attempt to locate templates in a folder matching the current language of the system. If no such folder exists, it will default to the 'LOC' folder. So for example, on a machine currently running in German, PixVue will first check for a non-empty 'DEU' folder, before using 'LOC'. In these language specific folders, there will be a folder for each template. In each template folder, the following items will be found:

  • media

  • index.xsl

  • image.xsl

media

The 'media' folder and its contents are copied verbatim to the output folder. It's in this folder that any files required for HTML presentation should be placed.

index.xsl

This stylesheet, if it exists, is used to create an index page for the web gallery. The stylesheet is applied to an XML file that looks like this:

<?xml version="1.0" encoding="UTF-8"?>
<index title="My Gallery" columns="4" index="true" imageCount="2" fileExtension=".html" section="" masterIndex="index">
<thumbnails>
<image width="128" height="96" target="pages/one.html">thumbnails/one.JPG</image>
<image width="128" height="96" target="pages/two.html">thumbnails/two.JPG</image>
<image width="96" height="128" target="pages/three.html">thumbnails/three.JPG</image>
</thumbnails>
</index>

image.xsl

PixVue creates the HTML page for each image in the web gallery by applying this stylesheet to the XMP associated with the image. (To view the XMP for a given image, select the PixVue::Export XMP menu item.) In addition to all the editable XMP values (Dublin Core, Photoshop, etc.), PixVue provides values for the following elements when they are available:

http://ns.adobe.com/tiff/1.0/

  • ImageWidth

  • ImageLength

  • BitsPerSample

  • Compression

  • PhotometricInterpretation

  • Orientation

  • PlanarConfiguration

  • YCbCrSubSampling

  • YCbCrPositioning

  • XResolution

  • YResolution

  • ResolutionUnit

  • TransferFunction

  • WhitePoint

  • PrimaryChromaticities

  • YCbCrCoefficients

  • ReferenceBlackWhite

  • DateTime

  • ImageDescription

  • Make

  • Model

  • Software

  • Artist

  • Copyright

http://ns.adobe.com/exif/1.0/

  • ExifVersion

  • FlashPixVersion

  • ColorSpace

  • ComponentsConfiguration

  • CompressedBitsPerPixel

  • PixelXDimension

  • PixelYDimension

  • UserComment

  • RelatedSoundFile

  • DateTimeOriginal

  • DateTimeDigitized

  • ExposureTime

  • FNumber

  • ExposureProgram

  • SpectralSensitivity

  • ISOSpeedRatings

  • OECF

  • ShutterSpeedValue

  • ApertureValue

  • BrightnessValue

  • ExposureBiasValue

  • MaxApertureValue

  • SubjectDistance

  • MeteringMode

  • LightSource

  • Flash

  • FocalLength

  • SubjectArea

  • FlashEnergy

  • SpatialFrequencyResponse

  • FocalPlaneXResolution

  • FocalPlaneYResolution

  • FocalPlaneResolutionUnit

  • SubjectLocation

  • ExposureIndex

  • SensingMethod

  • FileSource

  • SceneType

  • CFAPattern

  • CustomRendered

  • ExposureMode

  • WhiteBalance

  • DigitalZoomRatio

  • FocalLengthIn35mmFilm

  • SceneCaptureType

  • GainControl

  • Contrast

  • Saturation

  • Sharpness

  • DeviceSettingDescription

  • SubjectDistanceRange

  • ImageUniqueID

For the creation of web galleries, PixVue defines the following XMP values:

http://www.pixvue.com/namespace/webgallery/1.0/

  • OriginalImage - relative path to the original image (if the user opted to link originals)

  • OriginalFileSize - original file size in bytes

  • OriginalFile - original file name (no path)

  • OriginalWidth - original width

  • OriginalHeight - original height

  • PreviewImage - relative path to the preview image

  • FirstThumbnailPath - relative path to thumbnail for first image

  • PreviousThumbnailPath - relative path to thumbnail for previous image

  • CurrentThumbnailPath - relative path to thumbnail for current image

  • NextThumbnailPath - relative path to thumbnail for next image

  • LastThumbnailPath - relative path to thumbnail for last image

  • FirstPage - relative path to the first page

  • NextPage - relative path to the next page

  • PreviousPage - relative path to the previous page

  • LastPage - relative path to the last page

  • IndexPage - relative path to the index page (e.g. "../index.html")

  • MasterIndexPage - name of the index page (e.g. "index")

  • GalleryTitle - title (if supplied)

  • PreviewWidth - preview width

  • PreviewHeight - preview height

  • ImageNumber - the number of this image in the gallery

  • ImageCount - total number of images in gallery

  • FileExtension - the html file extension, typically .html, .htm or .xml

  • RssFeed - RSS file if generated (e.g. rss.xml)


A. File Formats

The following image file formats are supported.

Format | File Extension | Annotate
JPEG | .jpg, .jpeg | IPTC & XMP
TIFF | .tif, .tiff | IPTC & XMP
JPEG2000 | .jp2, .jpc, .j2k |
PNG | .png |
GIF | .gif |
Photoshop | .psd |
Windows Bitmap | .bmp |
Casio Raw | .bay, .raw | XMP sidecar
Canon Raw | .cr2, .crw | XMP sidecar
Kodak Raw | .dcr, .kdc | XMP sidecar
Konica Raw | .kqp | XMP sidecar
Minolta Raw | .mrw | XMP sidecar
Nikon Raw | .nef | XMP sidecar
Olympus Raw | .orf | XMP sidecar
Pentax Raw | .pef | XMP sidecar
Leica Raw | .raw | XMP sidecar
Panasonic Raw | .raw | XMP sidecar
Sony Raw | .srf | XMP sidecar
Sigma Raw | .x3f | XMP sidecar